extends Node2D

# The direction at which this engine node should fire on
# MAIN = The main engine shooting typically from the back of the ship (Propels the craft forward)
# REVERSE = Reverse thrusters firing typically from the front of the ship (Propels the craft backward)
# LEFT = This makes it appear as though the ship is being pushed to rotate left
# RIGHT = This makes it appear as though the ship is being pushed to rotate right
enum engine_dir {MAIN = 1, REVERSE = 2, LEFT = 3, RIGHT = 4}

# Access the logging
onready var logy = $Logger

# Yellow or RED alerts for various systems
enum alerts {NONE = 0, YELLOW = 1, RED = 2}

# Directionals used based on 6 segment shields
enum directionals {NONE = -1, FRONT = 0, BACK = 3, FRONT_LEFT = 2, FRONT_RIGHT = 1, BACK_LEFT = 4, BACK_RIGHT = 5}

# Turret Mount types
enum mount_type {NONE = 0, GUN = 1, LASER = 2, ANTI_MISSILE = 3}

# Ship types
enum ship_type {TRANSPORT = 1, CARGO = 2, WARSHIP = 3}

# Planet type
enum planet_type {NORMAL_EARTH=1, DRY_EARTH=2, WET_EARTH=3}
